Get status
curl --request GET \
--url https://api.onswitch.xyz/payment/status \
--header 'x-service-key: <api-key>'import requests
url = "https://api.onswitch.xyz/payment/status"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://api.onswitch.xyz/payment/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Payment status fetched successfully",
"timestamp": "2026-04-18T13:12:44.055Z",
"data": {
"status": "COMPLETED",
"type": "OFFRAMP",
"reference": "9fa5699e-bd99-442f-9185-7f51e606a39d",
"beneficiary": "69d8d8f1ad6205a9a0e89302",
"rate": 1381.842,
"source": {
"amount": 15.02,
"amount_usd": 15.02,
"network": "BSC",
"currency": "USDT"
},
"destination": {
"amount": 20755.26684,
"amount_usd": 15.02,
"network": "FIAT",
"currency": "NGN"
},
"deposit": {
"amount": 15.02,
"address": "0x0957cc85231324A7D98d0c7703dca5685eE44F8A",
"asset": "bsc:usdt",
"note": [
"Kindly send the exact amount to the wallet address to complete the transaction.",
"This wallet address is for one-time use only and has a 30 minutes expiry window."
]
},
"meta": {
"sender": {
"wallet_address": "0x8e9C6ea3C9928910572b73019D319C40Fc6045F1"
},
"session_id": "184729305611082934715600428391",
"hash": "0x4a2f8e9c1d7b5630fe2a894bc31d0567e8c924fa11de45b3290fc1821ead3f6b",
"explorer_url": "https://bscscan.com/tx/0x4a2f8e9c1d7b5630fe2a894bc31d0567e8c924fa11de45b3290fc1821ead3f6b"
},
"created_at": "2026-04-18T07:12:17.887Z",
"updated_at": "2026-04-18T07:12:34.705Z"
}
}{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}Get status
Retrieve the current status and details of a payment.
GET
/
payment
/
status
Get status
Authorizations
Service key for API authentication
Query Parameters
The unique transaction reference identifier
Payment deposit wallet address
Response
Successfully retrieved transaction status
Hide child attributes
Hide child attributes
Available options:
AWAITING_DEPOSIT, PROCESSING, COMPLETED, FAILED Available options:
OFFRAMP, ONRAMP, SWAP, WALLET ⌘I